Summary:	Older implementation of C++ interface to PostgreSQL
Summary(pl.UTF-8):	Starsza implementacja interfejsu C++ do PostgreSQL
Name:		libpq++
Version:	4.0
Release:	5
License:	BSD
Group:		Libraries
Source0:	ftp://gborg.postgresql.org/pub/libpqpp/stable/%{name}-%{version}.tar.gz
# Source0-md5:	da71cb79ef45cef55f4bc97a33a0857d
Patch0:		%{name}-make.patch
Patch1:		%{name}-libdir.patch
Patch2:		include.patch
URL:		http://gborg.postgresql.org/project/libpqpp/projdisplay.php
BuildRequires:	libstdc++-devel
BuildRequires:	postgresql-devel >= 7.3
Provides:	postgresql-c++
Obsoletes:	postgresql-c++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes library for C++ interface to PostgreSQL. It's
an older implementation, included with PostgreSQL up to 7.2.x.

%description -l pl.UTF-8
Pakiet ten zawiera biblioteki dla interfejsu C++ do PostgreSQL. Jest
to starsza implementacja, dołączana do PostgreSQL-a aż do 7.2.x.

%package devel
Summary:	Older C++ interface to PostgreSQL - development part
Summary(pl.UTF-8):	Starszy interfejs C++ do PostgreSQL - część programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	postgresql-devel
Provides:	postgresql-c++-devel
Obsoletes:	postgresql-c++-devel

%description devel
This package includes header files for older C++ interface.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe dla starszego interfejsu C++.

%package static
Summary:	Older C++ interface to PostgreSQL - static libraries
Summary(pl.UTF-8):	Starszy interfejs C++ do PostgreSQL - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	postgresql-c++-static
Obsoletes:	postgresql-c++-static

%description static
This package includes static library for older interface C++.

%description static -l pl.UTF-8
Pakiet ten zawiera biblioteki statyczne dla starszego interfejsu C++.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
%{__make} static \
	POSTGRES_HOME=%{_prefix} \
	LIBDIR=%{_libdir} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} -Wall"

%{__rm} *.o
%{__make} \
	POSTGRES_HOME=%{_prefix} \
	LIBDIR=%{_libdir} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} -Wall -fPIC" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir} \
	POSTGRES_HOME=%{_prefix}

ln -sf libpq++.so.4.0 $RPM_BUILD_ROOT%{_libdir}/libpq++.so.4

install examples/*.* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_libdir}/libpq++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libpq++.so.4

%files devel
%defattr(644,root,root,755)
%doc docs/*.html
%attr(755,root,root) %{_libdir}/libpq++.so
%{_includedir}/libpq++.h
%{_includedir}/libpq++
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpq++.a
%changelog
* Wed Mar 07 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libpq++.git;a=log;h=master

* Tue Jun 09 2015 Elan Ruusamäe <glen@delfi.ee> ee43fdc
- x32 rebuild
- release 5 (by relup.sh)

* Thu Jan 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 970a377
- verbose lib, include files

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 833684d
- added include.patch
- pass LDFLAGS
- rel 4

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 34a8be3
- added LDFLAGS

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 109045b
- compilation fix

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b4af8a1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 33ff771
- converted to UTF-8

* Wed Dec 20 2006 hawk <hawk@pld-linux.org> d3fd8c1
- release 3 to rebuild with PostgreSQL 8.2

* Sat Jun 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 21a8da3
- -devel R: libstdc++-devel

* Sat Jun 04 2005 zbyniu <zbyniu@pld-linux.org> 8e9b3e9
- BR: libstdc++-devel

* Sat Aug 21 2004 Jakub Bogusz <qboosh@pld-linux.org> af67d3f
- strict internal deps

* Thu Aug 19 2004 undefine <undefine@pld-linux.org> 5d51a32
- release 2

* Thu Aug 19 2004 undefine <undefine@pld-linux.org> 800ab17
- small patch to use libdir

* Thu Aug 19 2004 undefine <undefine@pld-linux.org> 5c9ad40
- patch to uselibdir

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> dadbde8
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> fc70410
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 1526436
- massive attack s/pld.org.pl/pld-linux.org/

* Tue May 06 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> f90ff45
- added provides

* Wed Apr 02 2003 Jakub Bogusz <qboosh@pld-linux.org> 8280e30
- fixed spec filename (mv libpqc++.spec libpq++.spec)

* Wed Mar 12 2003 Jakub Bogusz <qboosh@pld-linux.org> 42f1d44
- postgresql-c++* packages replacement for postgresql 7.3
  (libpqxx is totally incomplatible, so existing apps would still use libpq++)

